Rvm install 1.9.2-head -- errors while running make

I’m attemping to install Ruby on Ubuntu 10.04.

[email protected]:~$ rvm install 1.9.2-head
Installing Ruby from source to: /home/shmup/.rvm/rubies/ruby-1.9.2-head,
this may take a while depending on your cpu(s)…

ruby-1.9.2-head - #fetching
From https://github.com/ruby/ruby

  • branch ruby_1_9_2 -> FETCH_HEAD
    Already up-to-date.
    Copying from repo to src path…
    Running autoconf
    ruby-1.9.2-head - #configuring
    ruby-1.9.2-head - #compiling
    ERROR: Error running 'make ', please read
    /home/shmup/.rvm/log/ruby-1.9.2-head/make.log
    ERROR: There has been an error while running make. Halting the
    installation.

So just what does it way in
/home/shmup/.rvm/log/ruby-1.9.2-head/make.log?

Or do you expect us to hack into you computer to find out for ourselves
:slight_smile:

Ahh haha, sorry Peter. It was 5:30a when I typed that, and was already
tired
as hell.:

http://pastie.org/1579683

http://pastie.org/1579683--------------

[2011-02-18 05:12:51] make
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o main.o -c
main.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o dln.o -c
dln.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o dmydln.o
-c
dmydln.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o
dmyencoding.o
-c dmyencoding.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o version.o
-c
version.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o
dmyversion.o
-c dmyversion.c
echo executable host ruby is required. use --with-baseruby option.;
false
-I. ./tool/compile_prelude.rb ./prelude.rb miniprelude.c
executable host ruby is required. use --with-baseruby option.
make: *** [miniprelude.c] Error 1
[2011-02-18 05:20:18] make
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o main.o -c
main.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o dln.o -c
dln.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o dmydln.o
-c
dmydln.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o
dmyencoding.o
-c dmyencoding.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o version.o
-c
version.c
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith
-Wwrite-strings -Wno-missing-field-initializers -Wno-long-long -fPIC
-I.
-I.ext/include/x86_64-linux -I./include -I. -DRUBY_EXPORT -o
dmyversion.o
-c dmyversion.c
echo executable host ruby is required. use --with-baseruby option.;
false
-I. ./tool/compile_prelude.rb ./prelude.rb miniprelude.c
executable host ruby is required. use --with-baseruby option.
make: *** [miniprelude.c] Error 1

Jared Miller

On Fri, Feb 18, 2011 at 6:08 AM, Peter H. <

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs